﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace _307902_TreeViewExample
{
	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : Window
	{
		public Window1()
		{
			InitializeComponent();
		}
	}
	public class League
	{
		public League(string name)
		{
			_name = name;
			_divisions = new List<Division>();
		}


		string _name;

		public string Name { get { return _name; } }

		List<Division> _divisions;
		public List<Division> Divisions { get { return _divisions; } }

	}

	public class Division
	{
		public Division(string name)
		{
			_name = name;
			_teams = new List<Team>();

		}

		string _name;

		public string Name { get { return _name; } }

		List<Team> _teams;

		public List<Team> Teams { get { return _teams; } }

	}

	public class Team
	{
		public Team(string name)
		{
			_name = name;
		}

		string _name;

		public string Name { get { return _name; } }
	}

	public class LeaguesDataSource : List<League>
	{
		public LeaguesDataSource()
		{
			League leagueA = new League("League A");
			League leagueB = new League("League B");

			Division leagueADivisionA = new Division("Division A");
			leagueA.Divisions.Add(leagueADivisionA);

			Division leagueADivisionB = new Division("Division B");
			leagueA.Divisions.Add(leagueADivisionB);

			Division leagueADivisionC = new Division("Division C");
			leagueA.Divisions.Add(leagueADivisionC);

			Division leagueBDivisionA = new Division("Division A");
			leagueBDivisionA.Teams.Add(new Team("Team 1"));
			leagueBDivisionA.Teams.Add(new Team("Team 2"));
			leagueBDivisionA.Teams.Add(new Team("Team 3"));
			leagueBDivisionA.Teams.Add(new Team("Team 4"));
			leagueBDivisionA.Teams.Add(new Team("Team 5"));

			leagueB.Divisions.Add(leagueBDivisionA);

			Division leagueBDivisionB = new Division("Division B");
			leagueBDivisionB.Teams.Add(new Team("Team Diamond"));
			leagueBDivisionB.Teams.Add(new Team("Team Heart"));
			leagueBDivisionB.Teams.Add(new Team("Team Club"));
			leagueBDivisionB.Teams.Add(new Team("Team Spade"));

			leagueB.Divisions.Add(leagueBDivisionB);

			Division leagueBDivisionC = new Division("Division C");
			leagueBDivisionC.Teams.Add(new Team("Team Alpha"));
			leagueBDivisionC.Teams.Add(new Team("Team Beta"));
			leagueBDivisionC.Teams.Add(new Team("Team Gamma"));
			leagueBDivisionC.Teams.Add(new Team("Team Delta"));
			leagueBDivisionC.Teams.Add(new Team("Team Epsilon"));

			leagueB.Divisions.Add(leagueBDivisionC);

			this.Add(leagueA);
			this.Add(leagueB);
		}
	}
}
